出售域名!  关于Linux


同时运行 PHP 3 和 PHP 4

最新的操作系统提供了执行多版本和范围程序的能力。这个功能使得在一个 Apache 服务器上同时运行 PHP 3 和 PHP 4 成为可能。

已知该功能可以运行在如下平台:

  • 包含新版本 binutils 的 Linux(binutils 2.9.1.0.25 测试通过)
  • Solaris 2.5 或更高版本
  • FreeBSD(3.2,4.0 测试通过)

要启用该功能,需要配置(configure) PHP 3 和 PHP 4 的 APXS(使用 --with-apxs 参数)以及所需的链接扩展(使用 --enable-versioning 参数)。其余的和标准安装方法一样。例如:



$ ./configure \


  --with-apxs=/apache/bin/apxs \


  --enable-versioning \


  --with-mysql \


  --enable-track-vars



出售域名!  关于Linux


Host by Unixetc